/*=====[ The TesSeRact(TM) CXL User Interface Development System ]======*
 | Copyright (c) 1987-1991, Innovative Data Concepts, Inc.
 | All Rights Reserved.
 |
 | This Library is part of IDC's TesSeRact Development Tools product
 | line. For information about other IDC products, call 1-215-443-9705.
 *-D--------------------------------------------------------------------*
 | MakHlp 5.52 : Compile and index a TCXL 5.52 help-file
 |
 | Usage : MakHlp [-tNN] [-mNN] <ifil> <ofil>
 |
 | Where : -tNN   Optional tab-width [2..32]. Default is 8
 |         -mNN   Optional maximum xref/page [48|64]. Default is 32.
 |         <ifil> Input ASCII help-text pathname.
 |         <ofil> Output compiled TCXL help-file pathname.
 |
 | Diagnostics : Exit status is 0 for success, 1 for invalid usage or 2
 | for failure with appropriate messages on StdOut to permit redirection
 | to a log file.
 *-N----------------------[ Notes and Caveats ]-------------------------*
 | 1) A FormFeed (Hex 0x0C) char in an ASCII help-text file is seen just
 |    like a "*P" <new page>.
 | 1) TCXL 5.52 limits the number of cross-references in a help-page to
 |    HLP_MAX (currently 32), defined in <TCXLhlp.h>. The '-mNN' option
 |    will override this to be 48 or 64.  MakHlp will exit with an error
 |    if it finds a page with more than this number of cross-references.
 |    If HLP_MAX is changed via the '-mNN' option here, it must also be
 |    changed in <TCXLhlp.h> and all of the help system source files MUST
 |    be re-compiled.
 | 2) Maximum de-tabbed line length is 80 chars, including NUL.
 | 3) 8kb I/O buffers used for SPEED!
 *======================================================================*/
