/*=====[ The TesSeRact(TM) CXL User Interface Development System ]======*
 | Copyright (c) 1987-1991, Innovative Data Concepts, Inc.
 | All Rights Reserved.
 |
 | This Library is part of IDC's TesSeRact Development Tools product
 | line. For information about other IDC products, call 1-215-443-9705.
 *-V--------------------------------------------------------------------*
 | $Header:   tcxl_tc.h     552.2   22 Apr 1991  0:29:50  $
 |
 | $Log:   tcxl_tc.h    $
 *-D--------------------------------------------------------------------*
 | <TCXL_tc.h> : Internal Turbo C/C++ compiler-specific definitions.
 *-N-----------------------[ Notes and Caveats ]------------------------*
 | 1) Turbo C 2.0 or Borland/Turbo C++ 1.0 or later is required for TCXL.
 | 2) Included by <TCXLdef.h> if the global __TURBOC__ symbol is defined.
 *======================================================================*/
#ifndef  _TCXL_cc_                     /* only one compiler             */
#  define   _TCXL_cc_   1              /* Borland/Turbo C/C++           */
#  if __STDC__
#     error TCXL requires extensions to the ANSI standard
#  else
#     define   CDC   cdecl
#     define   PAS   pascal
#     define   NEAR  near
#     define   FAR   far
#  endif
#  ifdef   NULL
#     undef NULL                       /* use local definition          */
#  endif
#  if defined(__TINY__) || defined(__SMALL__) || defined(__MEDIUM__)
#     define   NULL  0
#     define   _TCXL_dat_  0           /* near data                     */
#  else
#     define   NULL  0L
#     define   _TCXL_dat_  1           /* far data                      */
#  endif
#  if defined(__LARGE__) || defined (__MEDIUM__)
#     define   _TCXL_cod_  1           /* far code                      */
#  else
#     define   _TCXL_cod_  0           /* near code                     */
#  endif
#  define   __WORDSWAP__
#endif   /*- _TCXL_cc_ : End of <TCXL_tc.h> ----------------------------*/
