/*=====[ The TesSeRact(TM) CXL User Interface Development System ]======*
 | Copyright (c) 1987-1991, Innovative Data Concepts, Inc.
 | All Rights Reserved.
 |
 | This Library is part of IDC's TesSeRact Development Tools product
 | line. For information about other IDC products, call 1-215-443-9705.
 *-V--------------------------------------------------------------------*
 | $Header:   tcxl_ztc.h     552.4   22 Apr 1991  0:29:50  $
 |
 | $Log:   tcxl_ztc.h    $
 *-D--------------------------------------------------------------------*
 | <TCXL_ztc.h> : Internal Zortech C/C++ compiler-specific definitions.
 *-N-----------------------[ Notes and Caveats ]------------------------*
 | 1) Zortech C/C++ 2.1 or later is required for TCXL (NOT 2.14!).
 | 2) Included by <TCXLdef.h> if the global __ZTC__ symbol is defined.
 *======================================================================*/
#ifndef  _TCXL_cc_                     /* only one compiler             */
#  define   _TCXL_cc_   2              /* Zortech C/C++                 */
#  if __STDC__
#     error TCXL requires extensions to the ANSI standard
#  else
#     define   CDC   cdecl
#     define   PAS   pascal
#     define   NEAR  near
#     define   FAR   far
#  endif
#  ifdef NULL
#     undef NULL                       /* use local definition          */
#  endif
#  if defined(M_I86LM) || defined(M_I86CM)
#     define   NULL  0L
#     define   _TCXL_dat_  1           /* far data                      */
#  else
#     define   NULL  0
#     define   _TCXL_dat_  0           /* near data                     */
#  endif
#  if defined(M_I86LM) || defined(M_I86MM)
#     define   _TCXL_cod_  1           /* far code                      */
#  else
#     define   _TCXL_cod_  0           /* near code                     */
#  endif
#  define   __WORDSWAP__
#endif   /*- _TCXL_cc_ : End of <TCXL_ztc.h> ---------------------------*/
