/*=====[ The TesSeRact(TM) CXL User Interface Development System ]======*
 | Copyright (c) 1987-1991, Innovative Data Concepts, Inc.
 | All Rights Reserved.
 |
 | This Library is part of IDC's TesSeRact Development Tools product
 | line. For information about other IDC products, call 1-215-443-9705.
 *-V--------------------------------------------------------------------*
 | $Header:   tcxl_msc.h     552.2   22 Apr 1991  0:29:48  $
 |
 | $Log:   tcxl_msc.h    $
 *-D--------------------------------------------------------------------*
 | <TCXL_msc.h> : Internal Microsoft C compiler-specific definitions.
 *-N-----------------------[ Notes and Caveats ]------------------------*
 | 1) Microsort C 5.1, 6.0, or QC 2.0, 2.5 or later is required for TCXL.
 | 2) Included by <TCXLdef.h> if the global M_I86 symbol is defined.
 *======================================================================*/
#ifndef  _TCXL_cc_                     /* only one compiler             */
#  define   _TCXL_cc_   3              /* Microsoft C/QuickC            */
#  define   _TCXL_msc_  1              /* turn on crufty casts          */
#  ifdef NO_EXT_KEYS
#     error TCXL requires extensions to the ANSI standard
#  else
#     if (_MSC_VER >= 600)             /* MSC 6.0, warts and all        */
#        define   CDC   _cdecl         /* QuickC 2.5                    */
#        define   PAS   _pascal
#        define   NEAR  _near
#        define   FAR   _far
#     else                             /* good old MSC 5.1              */
#        define   CDC   cdecl          /* QuickC 2.0                    */
#        define   PAS   pascal
#        define   NEAR  near
#        define   FAR   far
#     endif
#  endif
#  ifdef NULL                          /* use local definition          */
#     undef NULL
#  endif
#  if (_MSC_VER >= 600)                /* MSC 6.0, warts and all        */
#     define   NULL  ((void *)0)
#     if defined(M_I86SM) || defined(M_I86MM)
#        define   _TCXL_dat_   0       /* near data                     */
#     else
#        define   _TCXL_dat_   1       /* far data                      */
#     endif
#  else                                /* good old MSC 5.1              */
#     if defined(M_I86SM) || defined(M_I86MM)
#        define   NULL  0
#        define   _TCXL_dat_   0       /* near data                     */
#     else
#        define   NULL  0L
#        define   _TCXL_dat_   1       /* far data                      */
#     endif
#  endif
#  if defined(M_I86LM) || defined(M_I86MM)
#     define   _TCXL_cod_    1         /* far code                      */
#  else
#     define   _TCXL_cod_    0         /* near code                     */
#  endif
#  define   __WORDSWAP__
#endif   /*- _TCXL_cc_ : End of <TCXL_msc.h> ---------------------------*/
